=== debian/changelog ===
gfal2 (2.0.0-1) unstable; urgency=low

  * Initial release (Closes: #687682)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 13 Sep 2012 16:32:12 +0200
